cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
544
Views
0
Helpful
10
Replies

Problems after Convert Catalyst 9120AXI-E to Embedded Wireles

mateuszKopinski
Beginner
Beginner

I tried this toutorial https://www.cisco.com/c/en/us/support/docs/wireless/embedded-wireless-controller-on-catalyst-access-points/215303-embedded-wireless-controller-conversion.html

After that my access point is showing:

"EWC-AP in Recovery Mode......
Please use 'archive download-sw' to upgrade AP and Controller image.
Please use 'show flexconnect ewc-ap launch-log' to check EWC-AP launch log."

I made an 'archive' and it still doesn't work...

It may take a few minutes. If longer, please abort command, check network and try again.
######################################################################## 100.0%
Image download completed.
Checking ...OK
Checking image size...OK
Verifying ...OK
Versioning ...ws_management_version: 17.03.06.0.35
Successfully downloaded and setup eWLC image.
Please reload AP to take effect.
Archive done.

After reload I have same info like on start . 

I have done the research, but in my case it is not about AP memory

Filesystem Size Used Available Use% Mounted on
/dev/ubivol/part2 520.1M 63.9M 456.2M 12% /part2

What should I do now to set my access point to Standalone mode?

1 Accepted Solution

Accepted Solutions

mateuszKopinski
Beginner
Beginner

So, I took a break from this AP.... This time I tried with a file from the website (they unlocked this file for some reason and I didn't need active service contract heh ). As a result, it was possible to convert the AP in to Embedded Wireles.

BTW I got "apsp_CSCwd40096.bin" from support.

View solution in original post

10 Replies 10

mateuszKopinski
Beginner
Beginner

After fixing the AP like in https://www.cisco.com/c/en/us/support/docs/wireless/catalyst-9120axi-access-point/217537-repairing-c9120-c9115-access-points-from.html, the recovery mode disappeared and everythings worked fine untill...

ap-type ewc-ap tftp://192.168.1.69/ap1g7 tftp://192.168.1.69/apsp_CSCwd40096.bin

 After again installing the Embedded Wireless Controller images, there is the same problem.

EWC-AP in Recovery Mode......
Please use 'archive download-sw' to upgrade AP and Controller image.
Please use 'show flexconnect ewc-ap launch-log' to check EWC-AP launch log.

mateuszKopinski
Beginner
Beginner

I've done the same things and it doesn't work. After typing "show version" I see that the img files have been installed. Nevertheless, it is still Recovery Mode.

mateuszKopinski_0-1670395460288.png

 

             - Raise a ticket and or contact Cisco TAC , 

 M.

mateuszKopinski
Beginner
Beginner

Is it possible to do without active service contract? I have only warranty ...

 

 

 

                 - Have a try  , see what they have to say , if no go , try factory reset of the 9120AXI-E  and try again , also use the mentioned procedure again if simple factory reset is not enough. If all of that still does not work , then spin up a 9800-CL and have the AP connect as a CAPWAP client, see if that works. If it does then try to convert to Embedded Wireless again , 

 M.

Rich R
VIP Advisor VIP Advisor
VIP Advisor

ap-type ewc-ap tftp://192.168.1.69/ap1g7 tftp://192.168.1.69/apsp_CSCwd40096.bin
Where did you get that EWC image from?  You should be installing C9800-AP-iosxe-wlc.bin.
I suggest re-flash the AP again using the repair procedure then install the correct image as per the installation process.
I'd recommend https://software.cisco.com/download/home/286322988/type/286323077/release/17.6.4 (best) or
https://software.cisco.com/download/home/286322988/type/286323077/release/17.9.2
17.3 has been a very troubled release train so unless you have x700 APs which you need to use then stay away from 17.3!

___________________________________________
TAC recommended codes for AireOS WLC's
Best Practices for AireOS WLC's
TAC recommended codes for 9800 WLC's
Best Practices for 9800 WLC's
Cisco Wireless compatibility matrix
Field Notice: FN-72424 Later Versions of WiFi 6 APs Fail to Join WLC - Software Upgrade Recommended
WARNING - see CSCwd37092 Throughput degraded after upgrading to code 8.10.181.0/17.3.6 - 2800/3800/4800 series
- The fix for CSCwd37092 is now released in 8.10.183.0 and
- For IOS-XE 17.3.6 select controller model, go to IOS XE Software AP Service Pack, select CSCwd40096 17.3.6 APSP2
Field Notice: FN-63942 Lightweight APs and WLCs Fail to Create CAPWAP Connections Due to Certificate
                      Expiration - Software Upgrade Recommended
Field Notice: FN-72524 - During Software Upgrade/Downgrade IOS APs Might Remain in Downloading State
                     After 4 Dec 2022 Due to Certificate Expiration - Fixed in 8.10.183.0 and 17.3.6 APSP5 (APSP_CSCwd83653)
                     Also fixed in 8.5.182.7 (8.5 mainline) and 8.5.182.105 (8.5 IRCM) if you can't upgrade to 8.10
                     Note that 8.10.181.0 and 8.10.182.0 have been deferred (withdrawn) and are effectively unsupported by Cisco
___________________________________________
Richard R

mateuszKopinski
Beginner
Beginner

So, I took a break from this AP.... This time I tried with a file from the website (they unlocked this file for some reason and I didn't need active service contract heh ). As a result, it was possible to convert the AP in to Embedded Wireles.

BTW I got "apsp_CSCwd40096.bin" from support.

Rich R
VIP Advisor VIP Advisor
VIP Advisor

Good that you got that working.

I imagine that file you got from support is an AP service pack (as the name suggests) which would need to be installed as a service pack not base AP firmware.

___________________________________________
TAC recommended codes for AireOS WLC's
Best Practices for AireOS WLC's
TAC recommended codes for 9800 WLC's
Best Practices for 9800 WLC's
Cisco Wireless compatibility matrix
Field Notice: FN-72424 Later Versions of WiFi 6 APs Fail to Join WLC - Software Upgrade Recommended
WARNING - see CSCwd37092 Throughput degraded after upgrading to code 8.10.181.0/17.3.6 - 2800/3800/4800 series
- The fix for CSCwd37092 is now released in 8.10.183.0 and
- For IOS-XE 17.3.6 select controller model, go to IOS XE Software AP Service Pack, select CSCwd40096 17.3.6 APSP2
Field Notice: FN-63942 Lightweight APs and WLCs Fail to Create CAPWAP Connections Due to Certificate
                      Expiration - Software Upgrade Recommended
Field Notice: FN-72524 - During Software Upgrade/Downgrade IOS APs Might Remain in Downloading State
                     After 4 Dec 2022 Due to Certificate Expiration - Fixed in 8.10.183.0 and 17.3.6 APSP5 (APSP_CSCwd83653)
                     Also fixed in 8.5.182.7 (8.5 mainline) and 8.5.182.105 (8.5 IRCM) if you can't upgrade to 8.10
                     Note that 8.10.181.0 and 8.10.182.0 have been deferred (withdrawn) and are effectively unsupported by Cisco
___________________________________________
Richard R
Getting Started

Find answers to your questions by entering keywords or phrases in the Search bar above. New here? Use these resources to familiarize yourself with the community:

Recognize Your Peers